Package org.apache.storm.hive.security

## Class AutoHive

- java.lang.Object
- - org.apache.storm.common.AbstractHadoopAutoCreds
  - - org.apache.storm.hive.security.AutoHive

- All Implemented Interfaces:
    `CredentialKeyProvider`, `IAutoCredentials`

      @Deprecated(since="2.7.1",
                  forRemoval=true)
      public class AutoHive
      extends AbstractHadoopAutoCreds

  Deprecated, for removal: This API element is subject to removal in a future version.
  Auto credentials plugin for Hive implementation. This class provides a way to automatically push credentials to a topology and to retrieve them in the worker.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AutoHive()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doPrepare​(Map<String,​Object> conf)` | Deprecated, for removal: This API element is subject to removal in a future version. Prepare the plugin.
    `protected String` | `getConfigKeyString()` | Deprecated, for removal: This API element is subject to removal in a future version. The lookup key for the config key string.
    `String` | `getCredentialKey​(String configKey)` | Deprecated, for removal: This API element is subject to removal in a future version. The lookup key for the config key string.

    - ### Methods inherited from class org.apache.storm.common.AbstractHadoopAutoCreds

      `getCredentials, populateCredentials, populateSubject, prepare, updateSubject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoHive

          public AutoHive()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### doPrepare

          public void doPrepare​(Map<String,​Object> conf)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from class: `AbstractHadoopAutoCreds`
      Prepare the plugin.
      Specified by:
        `doPrepare` in class `AbstractHadoopAutoCreds`
      Parameters:
        `conf` - the topology conf

    - #### getConfigKeyString

          protected String getConfigKeyString()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from class: `AbstractHadoopAutoCreds`
      The lookup key for the config key string.
      Specified by:
        `getConfigKeyString` in class `AbstractHadoopAutoCreds`
      Returns:
        the config key string

    - #### getCredentialKey

          public String getCredentialKey​(String configKey)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `CredentialKeyProvider`
      The lookup key for the config key string.
      Returns:
        the config key string